---
layout: wiki
title: Donations
permalink: /wiki/Donations/
---

Donating to the Qubes Project
=============================

The Qubes project is now accepting donations in Bitcoins. You can use the following address to send Bitcoins to the project (but you might want to read the short FAQ below first):

``` {.wiki}
14zockMSKKp5MK6X2cHJ3mQwm9MwYsJ39j
```

This address can also be found in a message posted to Qubes mailing list, which can be viewed via Google Groups Web interface over SSL [​here](https://groups.google.com/d/msg/qubes-devel/u3wAzm1dB5Y/s5CiUGDebL4J), for double verification. For additional verification, you can verify the digital signature on the message, which should come from Joanna Rutkowska.

You can check how much others have donated already (over the entire time) via [​blockexplorer](https://blockexplorer.com/address/14zockMSKKp5MK6X2cHJ3mQwm9MwYsJ39j) and [​blockchain](https://blockchain.info/address/14zockMSKKp5MK6X2cHJ3mQwm9MwYsJ39j).

FAQ
---

### How are you going to spend the donated Bitcoins?

Our primary intention is to fund development of additional Qubes features, such as Split GPG (\#474), Qubes MIME handlers, USB PV backend, IPv6 routing between VMs, etc. Those additional features, although often very cool and appealing, are often being postponed because we need to focus on the more mainstream features, including the commercial branches for our paying customers.

But we cannot promise we won't spend your donated Bitcoins in some other way. Frankly, I (JR) don't believe that the income from public donations could sustain ITL in operation for even a month. If, however, ITL were in financial trouble, we would use those donations in an attempt to extend our agony ;) Generally, our goal is to make Qubes/ITL survive -- even if that means we must spend your donated Bitcoins on things other than cool open-source features. Hopefully though, this will not be necessary.

### I have donated X number of Bitcoins. Can I request that a special feature be implemented?

The simple answer is: No. If everybody were to decide, then nothing would get implemented. However, if you make a substantial donation (e.g., an amount which you believe could be used to pay for several months of a developer's work), then please contact us in person or via the mailing list. You can attach a digitally signed message using the Bitcoin address you used to donate in order to prove that who made a particular donation. In that case, we will listen carefully and, in the worst case, explain to you why we can't or don't want to implement your requested feature.

### Who actually owns the above Bitcoin address?

Joanna Rutkowska (JR), the founder of Invisible Things Lab (ITL) and the Qubes project. Technically, she can do whatever she wants with the donated Bitcoins. Also, if she were to die accidentally, all the Bitcoins would probably be lost.

### How much do Joanna Rutkowska and the other guys actually earn? I've heard a rumour that she's totally spoiled and lives a pretty luxurious life. Isn't it unfair to accept donations in that case?

All Qubes developers are paid good salaries, and presently ITL is doing pretty well. JR is spoiled to no end, arrogant beyond comprehension, and generally not nice to people, especially on mailing lists. But you should realize that:

1.  Nobody forces or specifically asks you to donate. Qubes will (probably) survive without any donations.
2.  The main reason to donate is to encourage the creation of additional features, i.e., to make Qubes OS more secure and/or easier to use. This should benefit most Qubes users.
3.  Another reason to donate is to say "Thank you," as we're releasing Qubes under GPL (excluding the Windows support) and generally trying to make the world a better place. (Oh, right, I had to made this plug somewhere here;)

### Are you going to provide a financial report on how you spend our donated Bitcoins?

Nope.

### Are you going to verify that the donated Bitcoins are not coming from some illegal activity, e.g., Bitcoin thefts?

Nope. In real life, when you go to a shop to buy a loaf of bread, or a brand new BMW, the shop is not responsible for running a background check on you and checking your financial history (which they can't do in fact).

### Why use Bitcoins and not some normal currency?

Bitcoin is an ideologically attractive currency due to its distributed nature (no central authority to control it) and due to the fact that it relies on cryptography for its security. Bitcoin is another tool that can be used to empower an individual against the system. While Bitcoin is about protecting your wealth, Qubes is about protecting your digital life (against an adversary that could also be "the system"). Of course it makes perfect sense to use Qubes OS to secure your Bitcoin wallet by, e.g., running it in a dedicated AppVM (or even more).
